Get connectedOrganization
Namespace: microsoft.graph
Important
APIs under the /beta version in Microsoft Graph are subject to change. Use of these APIs in production applications is not supported. To determine whether an API is available in v1.0, use the Version selector.
Retrieve the properties and relationships of a connectedOrganization object.
Permissions
One of the following permissions is required to call this API. To learn more, including how to choose permissions, see Permissions.
| Permission type | Permissions (from least to most privileged) |
|---|---|
| Delegated (work or school account) | EntitlementManagement.Read.All, EntitlementManagement.ReadWrite.All |
| Delegated (personal Microsoft account) | Not supported. |
| Application | EntitlementManagement.Read.All, EntitlementManagement.ReadWrite.All |
HTTP request
GET /identityGovernance/entitlementManagement/connectedOrganizations/{id}
Optional query parameters
This method supports the $select OData query parameter to help customize the response. For example, to retrieve only the identity sources, add $select=identitySources. For general information, see OData query parameters.
Request headers
| Name | Description |
|---|---|
| Authorization | Bearer {token}. Required. |
Request body
Do not supply a request body for this method.
Response
If successful, this method returns a 200 OK response code and a connectedOrganization object in the response body.
Examples
Request
GET https://graph.microsoft.com/beta/identityGovernance/entitlementManagement/connectedOrganizations/{id}
Response
Note: The response object shown here might be shortened for readability.
HTTP/1.1 200 OK
Content-Type: application/json
{
"id": "cd3709c6-be6a-4725-bd07-50f90ccca93f",
"displayName": "Wingtip Toys",
"description": "Wingtip Toys",
"createdBy": "admin@contoso.com",
"createdDateTime": "2020-05-13T15:18:04.81Z",
"modifiedBy": "admin@contoso.com",
"modifiedDateTime": "2020-05-13T15:18:04.81Z",
"identitySources": [
{
"@odata.type": "#microsoft.graph.azureActiveDirectoryTenant",
"tenantId": "bf85dc9d-cb43-44a4-80c4-469e8c58249e",
"displayName": "Wingtip Toys Co"
}
]
}
Feedback
Submit and view feedback for